
def generate_random_sequence(input_sequence, num_steps=5, dropout_rate=0.2):
    from keras.layers import LSTM, Dense, Input, Dropout
    from keras.models import Sequential
    
    # Define the model
    input_shape = input_sequence.shape[1:]
    model = Sequential()
    model.add(Input(shape=input_shape))
    model.add(LSTM(units=50, return_sequences=True))
    model.add(Dropout(dropout_rate))
    model.add(LSTM(units=50))
    model.add(Dropout(dropout_rate))
    model.add(Dense(units=num_steps, activation='linear'))
    
    # Compile the model
    model.compile(optimizer='adam', loss='mean_squared_error')
    
    return model



